#include <math.h>
#include <stdlib.h>
#include "../includes/prompt_and_read.h"

//	Tabulate sine function

int main (void) {

	double x_begin = prompt_and_read_double("Enter x_begin (in PI units)");
	double x_end = prompt_and_read_double("Enter x_end (in PI units)");
	double step = prompt_and_read_double("Enter step (in PI units)");

	x_begin *= M_PI;
	x_end *= M_PI;
	step *= M_PI;

	printf("-------+----------\n");
	printf("   x   |   f(x)   \n");
	printf("-------+----------\n");
	for (double x = x_begin; x < x_end - 1e-10; x += step) { // floats are tricky
		printf("%5.3f  |%8.3f\n", x, sin(x));
	}
	printf("%5.3f  |%8.3f\n", x_end, sin(x_end));
	printf("-------+----------\n");

	return EXIT_SUCCESS;
}
