#include "../includes/prompt_and_read.h"

int main(void) {
	int numDays, year;
	int month = prompt_and_read_int("Enter month");

	switch (month) { 
		case 1: 
		case 3: 
		case 5: 
		case 7: 
		case 8: 
		case 10: 
		case 12: 
			numDays = 31;
			break;
		case 4: 
		case 6: 
		case 9: 
		case 11: 
			numDays = 30;
			break;
		case 2:
			year = prompt_and_read_int("Enter year");
			if (((year % 4 == 0) && (year % 100 != 0)) || (year % 400 == 0))
				numDays = 29;
			else numDays = 28;
			break;
		default:
			numDays = 0;
			break;
	}

	if (numDays) {
		printf("Month %d has %d days\n", month, numDays);
	} else {
		printf("Wrong month number: %d", month);
	}

	return EXIT_SUCCESS;
}

