#include <stdio.h>
#include <stdlib.h>
#include <math.h>

int main(void) {

	double eps = 1e-10;
	double a = 25.0;
	double b = 30.0;
	double c = 9.0;

//	a /= 7.0;
//	b /= 7.0;
//	c /= 7.0;

	if (fabs(a) < eps) {
		printf("a = 0.0\n");
		return 1;
	}

	double delta = b*b - 4*a*c;
	printf("delta = %g\n", delta);

	if (fabs(delta) <= eps) {
		double x1 = (-b) / (2*a);
		printf("x1 = %f\n", x1);
	} else if (delta > 0.0) {
		double delta_2 = sqrt(delta);
		double x1 = (-b - delta_2) / (2 * a);
		double x2 = (-b + delta_2) / (2 * a);
		printf("x1 = %f\n", x1);
		printf("x2 = %f\n", x2);
	} else {
		printf("No real solutions\n");
	}

	return EXIT_SUCCESS;
}

